/*******************************************************************************
*    Wecker 1.0.                                                               *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    Circuit by Luca Bertoncello and Tim Rettmann, Layout by Tim Rettmann      *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "inc/wecker.h"
#include "inc/eeprom.h"

/**
 * Holt die Daten vom EEPROM.
 * Falls es ist das erste Mal, nutzt die Defaultwerte
 */
void getDataFromEEPROM()
{
  memset((&eeWeckerData), '\0', (sizeof(eeWeckerData)));
  eeprom_read_block(&eeWeckerData, &eeData[0], sizeof(eeWeckerData));
  if(eeWeckerData.initialised == 0xFF)  // Wenn die EEPROM noch nicht benutzt worden ist, enthält nur 0xFF
  {
    eeWeckerData.initialised = 0x12;    // einige Bits gesetzt, so daß man weißt, daß die EEPROM schon benutzt worden ist
    eeWeckerData.currentFileNumber = 0; // erste Datei der Liste
    eeWeckerData.alarmOnOff = TRUE;     // Alarm ein
  }
  changedEEPROM = FALSE;
}
