/*******************************************************************************
*    Wecker 1.0.                                                               *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    Circuit by Luca Bertoncello and Tim Rettmann, Layout by Tim Rettmann      *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#ifndef ALARM_H_
#define ALARM_H_

#ifdef SOURCE_alarm
bool hasToCalculateNextAlarm;
struct dcf77Time alarmTime, changeAlarmTime;
char alarmFile[32];
#else
extern bool hasToCalculateNextAlarm;
extern struct dcf77Time alarmTime, changeAlarmTime;
extern char alarmFile[32];
#endif

/**
 * Schaltet die Weckfunktion ein
 */
#define setAlarmOn()                { eeWeckerData.alarmOnOff = TRUE; changedEEPROM = TRUE; }

/**
 * Schaltet die Weckfunktion aus
 */
#define setAlarmOff()               { eeWeckerData.alarmOnOff = FALSE; changedEEPROM = TRUE; }

/**
 * Gibt zurück, ob die Weckfunktion ein oder aus ist
 *
 * @return bool                 TRUE wenn die Weckfunktion ein ist, FALSE ansonsten
 */
#define isAlarmOn()                 eeWeckerData.alarmOnOff

/**
 * Initialisiert die Weckfunktion
 */
void initAlarm(void);

/**
 * Gibt zurück, ob gerade ein Weckton abgespielt werden soll
 *
 * @return bool                 TRUE wenn gerade ein Weckton abgespielt werden soll
 */
#define hasToStartAlarm()           ( currentTime.hours == alarmTime.hours && \
                                      currentTime.minutes == alarmTime.minutes && \
                                      currentTime.day == alarmTime.day )

/**
 * Holt die nächste Weckzeit
 *
 * @param bool startup          Wenn TRUE (Wecker gerade eingeschaltet), prüft ob die nächste Weckzeit
 *                              noch für den aktuellen Tag sein soll (zB: Stromausfall in der Nacht)
 */
void getNextAlarm(bool startup);

/**
 * Ändert die nächste Weckzeit
 */
void changeAlarm(void);

#endif /* ALARM_H_ */
