/*******************************************************************************
*    Wecker 1.0.                                                               *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    Circuit by Luca Bertoncello and Tim Rettmann, Layout by Tim Rettmann      *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#ifndef BUTTON_H_
#define BUTTON_H_

#include <avr/io.h>

#define BUTTON_ALARMONOFF     6
#define BUTTON_FORCEDCFSYNC   5
#define BUTTON_MENU           4
#define BUTTON_VOLPLUS        3
#define BUTTON_VOLMINUS       2
#define BUTTON_BACKLIGHT      7
#define NO_BUTTON             0

#define BUTTON_PORT           PORTD
#define BUTTON_DDR            DDRD
#define BUTTON_PIN            PIND

#ifdef SOURCE_button
/**
* Millisekunden vom Einschalten/Reset
*/
volatile unsigned long startBacklight, displayMenu, displayLastSync, startDisplayVolume, displayNextAlarm;
volatile unsigned long startPressDCF, startGetNextMP3, maxDisplayNextMP3;
bool playMP3, countMenuPress, isHoliday;
bool currPressAlarm, currPressMenu, currPressVolP, currPressVolM, changedVolume;
#else
extern volatile unsigned long startBacklight, displayMenu, displayLastSync, startDisplayVolume, displayNextAlarm;
extern volatile unsigned long startGetNextMP3, maxDisplayNextMP3;
extern bool playMP3, countMenuPress, changedVolume, isHoliday;
#endif

/**
 * Initialisiert die Taster
 */
void initButtons(void);

/**
 * Verwaltet die Knöpfe
 */
void manageButtons(void);

/**
 * Zeigt die aktuelle Lautstärke
 * Die Lautstärke ist zwischen 0 und 15
 */
void displayCurrentVolume(void);

#endif /* BUTTON_H_ */
