/*******************************************************************************
*    Wecker 1.0.                                                               *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    Circuit by Luca Bertoncello and Tim Rettmann, Layout by Tim Rettmann      *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#ifndef WECKER_H_
#define WECKER_H_

#define DEBUG

#define VERSION                     "1.0-20180213"

#define BACKLIGHTTIME               5000  // Hintergrundbeleuchtung 5 Sekunden lang
#define DISPLAYMENUTIME             3000  // Das Menü wird drei Sekunden lang angezeigt
#define DISPLAYLASTSYNCTIME         2000  // Die letzte Synchronisierung wird zwei Sekunden lang angezeigt
#define DISPLAYNEXTALARMTIME        2000  // Die nächste Weckzeit wird zwei Sekunden lang angezeigt
#define DISPLAYVOLUMETIME           1000  // Die Lautstärke wird eine Sekunde lang angezeigt
#define MAXSYNCTIME               300000  // 5 Minuten Timeout für die Synchronisierung
#define MAXDISPLAYERROR            10000  // Der Fehler wird 10 Sekunden lang gezeigt
#define PRESSTOFORCEDCF             1500  // Um ein DCF77-Synchroniserung zu starten muss man den Taster 1.5 Sekunden lang drucken
#define ALARMBLINK                   300  // Blinkzeit für die Weckzeit (bei ändern)

#define STARTVOLUME                 0x32  // Defaultlautstärke: 40
#define MP3DEFAULTTESTFILE          "test.mp3"
#define MP3DIRECTORY                "mp3"
#define MP3EXTRADIRECTORY           "extra"
#define CONFIGFILE                  "config.txt"
#define DEFAULTTIMEZONE             +1

#define MP3DIRTEST                  0
#define MP3DIRNORMAL                1
#define MP3DIREXTRA                 2

// Wenn definiert, vermeidet, dass der Wecker sich automatisch
// über DCF77 synchronisiert
// Nur sinnvoll während der Entwicklung
//#define DEVELOP

#define LANG_DE                     0
#define LANG_IT                     1
#define LANG_EN                     2
#define CUR_LANG                    LANG_DE

#define bool                        uint8_t
#define TRUE                        1
#define FALSE                       0

#define MMCALLOW_PORT               PORTA
#define MMCALLOW_DDR                DDRA
#define MMCALLOW_PIN                6

/**
 * Aktiviert die MMC-Karte (MOSI wird mit einer AND-Port arbeiten)
 */
#define enableMMC()                 { MMCALLOW_PORT |= _BV(MMCALLOW_PIN); }

/**
 * Deaktiviert die MMC-Karte (MOSI wird mit einer AND-Port arbeiten)
 */
#define disableMMC()                { MMCALLOW_PORT &= ~_BV(MMCALLOW_PIN); }

/**
 * Zeigt ein Fehler an
 */
#define displayError(__error)       { lcdBacklightOn(); setScrollLine(2); setStringToScroll(__error); displayErrorTime = getUptime(); startScroll(); }

#endif /* WECKER_H_ */
