/*******************************************************************************
*    Wecker 1.0.                                                               *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    Circuit by Luca Bertoncello and Tim Rettmann, Layout by Tim Rettmann      *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#ifndef DICT_H_
#define DICT_H_

#include "../inc/wecker.h"

#define FAILEDTOINITFAT "Problem init FAT"

#if CUR_LANG == LANG_DE
#define SUNDAY          "Son"
#define MONDAY          "Mon"
#define TUESDAY         "Die"
#define WEDNESDAY       "Mit"
#define THURSDAY        "Don"
#define FRIDAY          "Fre"
#define SATURDAY        "Sam"

#define WAITFORSTART    "Warte auf Signal"
#define RECEIVINGDATA   " Empfange Daten "
#define RECEIVEDDATA    "Synchronisiert! "
#define FAILEDTOSYNC    "  >> FEHLER <<  "
#define CLEARLINE       "                "
#define LASTSYNC        "Letzte Synchr.: "
#define INFO1           "   Wecker-MP3   "
#define INFO2           "Luca Bertoncello"
#define INSERTCARD      " Karte einlegen "
#define ERROROPENFILE   "Dateifehler"
#define CURRENTVOLUME   "Lautstärke:     "
#define ERROROPENCONFIG " Konfig.-fehler "
#define READINGCONFIG   "Lese Konf.-Daten"
#define READINGALARM    "Nächste Weckzeit berechnen"
#define NEXTALARM       "Nächste Weckzeit"
#define SETHOLIDAY      "DCF: Urlaub     "
#define RESETHOLIDAY    "DCF: kein Urlaub"
#define NEXTMP3         "Nächstes Stück: "
#define CHANGEALARM     "Ändern mit Alarm"
#define CHANGEALARM1    "Alarm: Minute, Vol+/-: Stunde ändern, Menü: bestätigen, DCF: abbrechen"
#define CHANGEALARM2    "Alarm: Datum, Vol+/-: Minute ändern, Menü: bestätigen, DCF: abbrechen"
#define CHANGEALARM3    "Alarm: Stunde, Vol+/-: Datum ändern, Menü: bestätigen, DCF: abbrechen"
#endif

#if CUR_LANG == LANG_IT
#define SUNDAY          "Dom"
#define MONDAY          "Lun"
#define TUESDAY         "Mar"
#define WEDNESDAY       "Mer"
#define THURSDAY        "Gio"
#define FRIDAY          "Ven"
#define SATURDAY        "Sab"

#define WAITFORSTART    " Attesa segnale "
#define RECEIVINGDATA   " Ricezione dati "
#define RECEIVEDDATA    " Sincronizzato! "
#define FAILEDTOSYNC    "  >> ERRORE <<  "
#define CLEARLINE       "                "
#define LASTSYNC        "Ultima sincron.:"
#define INFO1           "   Wecker-MP3   "
#define INFO2           "Luca Bertoncello"
#define INSERTCARD      "Inserire scheda "
#define ERROROPENFILE   "Errore file"
#define CURRENTVOLUME   "Volume:         "
#define ERROROPENCONFIG " Errore config. "
#define READINGCONFIG   "Lettura config. "
#define READINGALARM    "Calcolo orario sveglia"
#define NEXTALARM       "Prossima sveglia"
#define SETHOLIDAY      "DCF: ferie      "
#define RESETHOLIDAY    "DCF: no ferie   "
#define NEXTMP3         "Prossimo pezzo: "
#define CHANGEALARM     "Modifica: Alarm "
#define CHANGEALARM1    "Alarm: minuti, Vol+/-: cambia ora, Menü: conferma, DCF: annulla"
#define CHANGEALARM2    "Alarm: data, Vol+/-: cambia minuti, Menü: conferma, DCF: annulla"
#define CHANGEALARM3    "Alarm: ore, Vol+/-: cambia data, Menü: conferma, DCF: annulla"
#endif

#if CUR_LANG == LANG_EN
#define SUNDAY          "Sun"
#define MONDAY          "Mon"
#define TUESDAY         "Tue"
#define WEDNESDAY       "Wed"
#define THURSDAY        "Thu"
#define FRIDAY          "Fri"
#define SATURDAY        "Sat"

#define WAITFORSTART    "Wait for signal "
#define RECEIVINGDATA   " Receiving data "
#define RECEIVEDDATA    "  Synchronized! "
#define FAILEDTOSYNC    "  >> ERROR <<   "
#define CLEARLINE       "                "
#define LASTSYNC        " Last synchr.:  "
#define INFO1           "   Wecker-MP3   "
#define INFO2           "Luca Bertoncello"
#define INSERTCARD      "  Insert card   "
#define ERROROPENFILE   "File error"
#define CURRENTVOLUME   "Volume:         "
#define ERROROPENCONFIG " Config. error  "
#define READINGCONFIG   "Read config data"
#define READINGALARM    "Computing next alarm"
#define NEXTALARM       "   Next alarm   "
#define SETHOLIDAY      "DCF: holiday    "
#define RESETHOLIDAY    "DCF: no holiday "
#define NEXTMP3         "  Next piece:   "
#define CHANGEALARM     " Change: Alarm  "
#define CHANGEALARM1    "Alarm: minute, Vol+/-: change hour, Menü: confirm, DCF: cancel"
#define CHANGEALARM2    "Alarm: date, Vol+/-: change minute, Menü: confirm, DCF: cancel"
#define CHANGEALARM3    "Alarm: hour, Vol+/-: change date, Menü: confirm, DCF: cancel"
#endif

#endif /* DICT_H_ */
